dofile "flightcommander.lua"

function init()
  Camera_setCameraType(CAMERA_COCKPIT)
  end_time = 0;
end

function Nav2Enter()
  Ship_setForceEject("$jarrah", true); -- Jarrah
  Ship_setForceEject("$janni", true); -- Janni
  Comm_playVideo("", "WC_Janni.avi", "Janni", IFF_FRIEND, "We spotted a wing of avenger searching for you. We should go on ahead and clear the way.");
  Comm_playVideo("", "WC_MasqueradeLogo.avi", "Masquerade", IFF_FRIEND, "Good idea. Have your wing join with Stephen's and head out.");
end

function Nav1Enter()
  Mission_setFormation(2)
  Ship_setAIEnabled("$masquerade", false);
end

function Nav4Enter()
  Ship_remove("$masquerade")
  Comm_playVideo("masquerade_madeit.mp3", "WC_MasqueradeLogo.avi", "Masquerade", IFF_FRIEND);
  Mission_setScriptControl(true);
  Objective_setState(0, OBJECTIVE_COMPLETE)
  Music_play("kattheme.mp3");
  now = Mission_getElapsedTime();
  Overlay_setEnabled(true);
  Overlay_setText("Entering Networkian territory.");
  Ship_setAIEnabled("@midway", false);
  Ship_setMaxVelocity("@midway", 150.0);
  Ship_setDesiredVelocity("@midway", 3.0);
  Camera_setCameraType(CAMERA_SCRIPTABLE);
  Camera_setLocationFixed(-700.0, 0.0, -1000.0);
  Camera_setLookAtFixed(0.0, 0.0, 0.0);
end


function Nav4During()
 end_time = end_time + 1;
 if end_time > 10 then
   Mission_exit();
 end
end

init();


-- Jaz, Shaman, Janni
-- Kiah, Aya, Sia
-- Kage, Mad Dog, Pain