dofile "flightcommander.lua"

function init()
  Mission_setScriptControl(true);
  Mission_setAutopilotEnabled(true);
end


nonespawned  = 0;
wave1spawned = 1;
wave2spawned = 2;

enemycount = 2;

navdone = 0;
setfailed = 0;

function nav2create()
  Mission_setEnemiesAreAlive(true);
  Mission_setAutopilotEnabled(false);
  starttime = Mission_getElapsedTime();
  wave1time = starttime + 2000;
  wave2time = starttime + 6000;
  completetime = starttime + 60000;
  navstate = nonespawned;
end

function nav2destroy()
  Mission_setComplete();
end

function bugdeadfunc(shipid)
  enemycount = enemycount - 1;
  print(shipid .. " is dead");
end

function startwave1()
  Mission_addShip("moray", "bug1", "bug", false,  "Unknown", IFF_ENEMY,100, 500, -100,
    "$bug1", "", "bugdeadfunc", "");
end

function startwave2()
  Mission_addShip("manta", "bug1", "bug", false,  "Unknown", IFF_ENEMY,300, 500, 200,
    "$bug2", "", "bugdeadfunc", "");
end

function nav2during()
  current_time = Mission_getElapsedTime();
  if navstate == nonespawned and current_time > wave1time then
    startwave1();
    navstate = wave1spawned;
  elseif navstate == wave1spawned and current_time > wave2time then
    startwave2();
    navstate = wave2spawned;
  end

  if navdone == 0 then
     if enemycount == 0 then
       Mission_setAutopilotEnabled(true);
       Mission_setEnemiesAreAlive(false);
       navdone = 1 ;
       if current_time < completetime then
          Objective_setState(1, OBJECTIVE_COMPLETE);
          Mission_setAccomplished();
       end
     end
     if current_time > completetime and setfailed == 0 then
       Mission_setFailed();
       setfailed = 1;
     end
  end
end


-- call init on startup
init();

