<?xml version="1.0" encoding="UTF-8"?>
<?altova_samplexml C:\cs\174\finalproj\triangletest\bin\piranha.ship.xml?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<body style="color: rgb(255, 255, 255); background-color: rgb(0, 0, 0); background-image: url(space.jpg);" link="#0000ff" vlink="#0000a0" alink="#ff0000">
				<xsl:apply-templates/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="shipfile">
		<p>
			<b>
         Name:
		<xsl:value-of select="@name"/>
			</b>
		</p>
		<img>
			<xsl:attribute name="src"><xsl:value-of select="@image"/></xsl:attribute>
		</img>
		<p>
         Mass:
		<xsl:value-of select="@mass"/>
		</p>
		<p>
         Hitpoints:
		<xsl:value-of select="@hitpoints"/>
		</p>
		<p>
         Shields:
         front 
		<xsl:value-of select="shields/@front"/>
        rear
    	<xsl:value-of select="shields/@front"/>
		Regeneration rate:
     	<xsl:value-of select="shields/@regeneration_rate"/>
		</p>
		<p>
         Armor:
         front 
		<xsl:value-of select="armor/@front"/>
        rear
    	<xsl:value-of select="armor/@front"/>
		left
    	<xsl:value-of select="armor/@left"/>
		right
    	<xsl:value-of select="armor/@right"/>
		</p>
		<p>
	   roll: 
		<xsl:value-of select="speeds/@roll"/>
		</p>
		<p>
	   pitch: 
		<xsl:value-of select="speeds/@pitch"/>
		</p>
		<p>
	   yaw: 
		<xsl:value-of select="speeds/@yaw"/>
		</p>
		<p>
	   angular acceleration: 
		<xsl:value-of select="speeds/@angular_acceleration"/>
		</p>
		<p>
	   velocity: 
		<xsl:value-of select="speeds/@velocity"/>
		</p>
		<p>
	   acceleration: 
		<xsl:value-of select="speeds/@acceleration"/>
		</p>
		<p>
	   afterburner velocity: 
		<xsl:value-of select="afterburner/@velocity"/>
		</p>
		<p>
	   afterburner acceleration: 
		<xsl:value-of select="afterburner/@acceleration"/>
		</p>
		<p>
	   afterburner fuel: 
		<xsl:value-of select="afterburner/@fuel"/>
		</p>
		<p>
	   Maximum energy:
		<xsl:value-of select="energy/@total"/>
		</p>
		<p>
	   Energy recharge rate:
		<xsl:value-of select="energy/@recharge_rate"/>
		</p>
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="mounts">
		<hr/>
	   Weapons:
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="mount">
		<p>
			<xsl:variable name="currentnumber" select="weapon/@number"/>
			<xsl:for-each select="document('weaponnumber.xml')/weaponsnumber/weapon">
				<xsl:if test="@number = $currentnumber">
					<xsl:value-of select="@name"/>
				</xsl:if>
			</xsl:for-each>
			<xsl:if test="@number_of_shots">
				<ul>
					<li>					
						Number of shots:
           		<xsl:value-of select="@number_of_shots"/>
					</li>
				</ul>
			</xsl:if>
		</p>
	</xsl:template>
	<xsl:template match="capship">
		<hr/>
	   Components:
		<xsl:apply-templates/>
	</xsl:template>	
	<xsl:template match="component">
	<p>
		<xsl:value-of select="@type"/>	
	</p>		
	</xsl:template>		
</xsl:stylesheet>
