dofile "flightcommander.lua"

function init()
  Mission_setAutopilotEnabled(true);
  Camera_setCameraType(CAMERA_COCKPIT)
  oi = 0;
  goodbye = 0;
  ohnoes = false;
  turn = 0;
end

function Nav1Enter()
  Comm_playVideo("masquerade_takedown.mp3", "WC_MasqueradeLogo.avi", "Masquerade", IFF_FRIEND, "Take those two escapees down before they can alert the rest of their fleet.");
  Comm_playVideo("jarrah_guard.mp3", "WC_Jarrah.avi", "Jarrah", IFF_FRIEND, "Sorry I can't come with you mate, guard duty.");
  Ship_setAIEnabled("$jarrah", false); -- Jarrah
  Ship_setAIEnabled("$rocky", false); -- Rocky
end

function End()
  Ship_setAIEnabled("$jarrah2", false); -- Jarrah
  Ship_setAIEnabled("$rocky2", false); -- Rocky
  Mission_setScriptControl(false);
  Objective_setState(0, OBJECTIVE_COMPLETE)
end

function During()
  if Mission_isPlayerTraitor() == true then
    Ship_setAIEnabled("$jarrah", true); -- Jarrah
    Ship_setAIEnabled("$rocky", true); -- Rocky
    Ship_setAIEnabled("$jarrah2", true); -- Jarrah
    Ship_setAIEnabled("$rocky2", true); -- Rocky
  end
end

function Nav3During()
  turn = turn + 1;
  if turn == 9 then
    Ship_setAIEnabled("$spite", true);
    Ship_setAIEnabled("$soopaha", true);
    Comm_setMenuText(1, "You guys are just scared after our last encounter.");
    Comm_setMenuText(2, "Deep down I knew that in the end the Alliance would win.");
    Comm_setMenuOverride(true);
  end
  if oi == 3 then
    Objective_setState(0, OBJECTIVE_COMPLETE)
    Objective_setState(1, OBJECTIVE_FAILED)
    savedvars.choice = 1; -- Scimitar
    Mission_setAutopilotEnabled(true);
    Mission_setScriptControl(true);
    if Mission_isPlayerTraitor() == true then
      goodbye = goodbye + 1;
      if goodbye >= 6 then
        savedvars.choice = 1; -- Scimitar
        Mission_exit();
      end
    end
  end
  local result = Comm_getLastChoice();
  if (result == 1) then
    Comm_playVideo("soopaha_defect5a.mp3", "WC_Soopaha.avi", "Soopaha", IFF_ENEMY, "Have it your way then!");
    Comm_setMenuOverride(false);
  elseif (result == 2) then
    ohnoes = true;
    Ship_setIff("$soopaha", IFF_FRIEND);
    Ship_setIff("$spite", IFF_FRIEND);
    Comm_playVideo("soopaha_defect5b.mp3", "WC_Soopaha.avi", "Soopaha", IFF_FRIEND, "Ha! So true.");
    Comm_setMenuOverride(false);
    Mission_setAutopilotEnabled(false);
    Mission_setScriptControl(true);
    Objective_setState(0, OBJECTIVE_FAILED)
    Objective_setState(1, OBJECTIVE_FAILED)
  end
  if ohnoes == true then
    goodbye = goodbye + 1;
    if goodbye >= 4 then
      if Mission_isPlayerTraitor() == false then
        savedvars.choice = 2; -- Traitor
        Mission_setFailed();
        Mission_exit();
      end
    end
  end
end

function Nav3Enter()
  Ship_setAIEnabled("$spite", false);
  Ship_setAIEnabled("$soopaha", false);
  Ship_setForceEject("$soopaha", false); -- Soopaha
  Ship_setForceEject("$spite", false); -- Spite
  Comm_playVideo("soopaha_defect1.mp3", "WC_Soopaha.avi", "Soopaha", IFF_ENEMY, "Greetings poor lonely pilot.");
  Comm_playVideo("soopaha_defect2.mp3", "WC_Soopaha.avi", "Soopaha", IFF_ENEMY, "It seems that you are out numbered.");
  Comm_playVideo("soopaha_defect3.mp3", "WC_Soopaha.avi", "Soopaha", IFF_ENEMY, "Why not surrender and join the Alliance?");
  Comm_playVideo("soopaha_defect4.mp3", "WC_Soopaha.avi", "Soopaha", IFF_ENEMY, "The money is much better.");
end

function bad1()
  oi = oi + 2;
  if oi == 2 then
      Mission_setScriptControl(true);
      Objective_setState(1, OBJECTIVE_COMPLETE)
      Ship_setIff("$spite", IFF_FRIEND);
      Mission_setEnemiesAreAlive(false);
      Mission_setAutopilotEnabled(true);
      Comm_playVideo("spite_surrender.mp3", "WC_Spite.avi", "Spite", IFF_FRIEND, "Okay, okay. I surrender.");
  else
    savedvars.choice = 1; -- Scimitar
  end
end

function bad()
  oi = oi + 1;
  if oi == 1 then
      Mission_setScriptControl(true);
      Mission_setAutopilotEnabled(true);
      Ship_setIff("$soopaha", IFF_FRIEND);
      Objective_setState(1, OBJECTIVE_COMPLETE)
      Mission_setEnemiesAreAlive(false);
      s = math.random(0,3);
      if s==0 or s==3 then 
        Comm_playVideo("soopaha_defect6c.mp3", "WC_Soopaha.avi", "Soopaha", IFF_FRIEND, "Ah, I give up.");
        elseif s==1 then Comm_playVideo("soopaha_defect6a.mp3", "WC_Soopaha.avi", "Soopaha", IFF_FRIEND, "Ha! I give up.");
        elseif s==2 then Comm_playVideo("soopaha_defect6b.mp3", "WC_Soopaha.avi", "Soopaha", IFF_FRIEND, "Heh! Heh! I give up.");
      end
  else
    savedvars.choice = 1; -- Scimitar
  end
end


init();