dofile "flightcommander.lua"

function Nav0Enter()
  Mission_setFormation(2)
end

function Nav1Enter()
  Ship_setAIEnabled("$refueler", false);
  Ship_setAIEnabled("$phoenix", false); -- Phoenix
  Ship_setAIEnabled("$kaotix", false); -- Kaotix
  Ship_setAIEnabled("$toraneko", false); -- Toraneko
  Ship_setDesiredVelocity("$refueler", 5.0);
  Ship_setDesiredVelocity("$knothole", 5.0);
  Ship_setDesiredVelocity("$phoenix", 5.0);
  Ship_setDesiredVelocity("$kaotix", 5.0);
  Ship_setDesiredVelocity("$toraneko", 5.0);
end

function Nav3Enter()
  Ship_setDesiredVelocity("$documents", 20.0);
  Mission_setFormation(1)
end

function During()
  if Mission_isPlayerTraitor() == true then
    Ship_setAIEnabled("$documents", true);
    Ship_setAIEnabled("$gapinski", true); -- Gapinski
    Ship_setAIEnabled("$refueler", true);
    Ship_setAIEnabled("$phoenix", true); -- Phoenix
    Ship_setAIEnabled("$kaotix", true); -- Kaotix
    Ship_setAIEnabled("$toraneko", true); -- Toraneko
  end
end

function Nav4Enter()
  Objective_setState(0, OBJECTIVE_COMPLETE)
  Ship_setDesiredVelocity("$su", 0.0);
  Ship_setAIEnabled("$documents", false);
  Ship_setDesiredVelocity("$hq", 0.0);
  Ship_setDesiredVelocity("$Jahrtausend2", 0.0);
  Ship_setDesiredVelocity("$documents", 0.0);
  Comm_playVideo("masquerade_large.mp3", "WC_MasqueradeLogo.avi", "Masquerade", IFF_FRIEND, "That's a large escort.");
end

function Nav2Enter()
  Ship_setDesiredVelocity("$Jahrtausend1", 0.0);
  Ship_setDesiredVelocity("$network", 0.0);
  Ship_setAIEnabled("$gapinski", false); -- Gapinski
  Comm_playVideo("masquerade_documents.mp3", "WC_MasqueradeLogo.avi", "Masquerade", IFF_FRIEND, "Classified documents coming here, HQ wants you to escort them.");
end

