dofile "perfectplan_briefing.lua"

function startup()
  BriefingShip_setLocationRelative("$demo2", "$demo1", 10, 0, -5);
  BriefingShip_setLocationRelative("$demo3", "$demo1", -10, 0, -5);
  BriefingShip_setHeadingRelative("$demo2", "$demo1");
  BriefingShip_setHeadingRelative("$demo3", "$demo1");
  BriefingShip_setLocationRelative("$red2", "$redlead", 20, 0, -5);
  BriefingShip_setLocationRelative("$red3", "$redlead", -20, 0, -5);
  BriefingShip_setHeadingRelative("$red2", "$redlead");
  BriefingShip_setHeadingRelative("$red3", "$redlead");
  BriefingShip_setHeadingRelative("$bluelead", "$redlead");
  BriefingShip_setLocationRelative("$bluelead", "$redlead", 0, 0, -60);
  BriefingShip_setLocationRelative("$bad2", "$bad1", 20, 0, -5);
  BriefingShip_setLocationRelative("$bad3", "$bad1", -20, 0, -5);
  BriefingShip_setHeadingRelative("$bad2", "$bad1");
  BriefingShip_setHeadingRelative("$bad3", "$bad1");
  BriefingShip_setLocationRelative("$one", "$cap", 10, 0, 0);
  BriefingShip_setLocationRelative("$two", "$cap", 20, 0, -5);
  BriefingShip_setHeadingRelative("$one", "$cap");
  BriefingShip_setHeadingRelative("$two", "$cap");
  BriefingShip_setLocationRelative("$blue2", "$bluelead", 20, 0, -5);
  BriefingShip_setLocationRelative("$blue3", "$bluelead", -20, 0, -5);
  BriefingShip_setHeadingRelative("$blue2", "$bluelead");
  BriefingShip_setHeadingRelative("$blue3", "$bluelead");
  BriefingShip_setVisible("$redlead", false);
  BriefingShip_setVisible("$red2", false);
  BriefingShip_setVisible("$red3", false);
  BriefingShip_setVisible("$Sanctuary", false);
  BriefingShip_setVisible("$player", false);
  BriefingShip_setVisible("$ferret", false);
  BriefingShip_setVisible("$wingman", false);
  BriefingShip_setVisible("$bluelead", false);
  BriefingShip_setVisible("$view", false);
  BriefingShip_setVisible("$blue2", false);
  BriefingShip_setVisible("$blue3", false);
  Camera_setLocationRelativeObject("$one", -50, 20, -30);
  Camera_setLookAtRelative("$one");
  BriefingShip_setLocationNav("$player", "$nav1");
  BriefingShip_setHeadingInterpNavs("$player", "$nav3", "$nav1", "$nav2", 0);
  BriefingShip_setHeadingInterpNavs("$bad1", "$nav3", "$nav2", "$nav1", 0);
  BriefingShip_setHeadingInterpNavs("$redlead", "$nav2", "$nav1", "$nav3", 0);
  BriefingShip_setHeadingInterpNavs("$cap", "$nav1", "$nav3", "$nav2", 0);
  BriefingShip_setLocationRelative("$wingman", "$player", 20, 0, -5);
  BriefingShip_setLocationRelative("$ferret", "$player", -20, 0, -5);
  BriefingShip_setHeadingRelative("$wingman", "$player");
  BriefingShip_setHeadingRelative("$ferret", "$player");
  state = 0;
  Briefing_playSound("PerfectPlanAlliance1_briefing1.mp3");
  Overlay_setText("Thanks to the information provided to us by our newest recruit, we now know that the");
end

function advance()
  local now = Mission_getElapsedTime();
  if(now > 3800 and state == 0) then
     Overlay_setText("Bengal-class Strike Carrier weve been harassing, only has two Scimitars left for defense.");
     state = 1;
     BriefingShip_setHeadingInterpNavs("$demo1", "$nav1", "$nav5", "$nav6", 0);
     BriefingShip_setLocationInterpNavs("$demo1", "$nav5", "$nav6", 10500);
     BriefingShip_setVisible("$demo1", true);
     BriefingShip_setVisible("$demo2", true);
     BriefingShip_setVisible("$demo3", true);
  elseif(now > 11000 and state == 1) then
     state = 2;
     Overlay_setText("They are, however, expecting the return of a wing of three Scimitars that were sent out for");
     Briefing_playSound("PerfectPlanAlliance1_briefing2.mp3");
  elseif(now > 16000 and state == 2) then
     state = 2.5;
     Overlay_setText("long range reconnaissance.");
  elseif(now > 20500 and state == 2.5) then
     state = 3;
     Overlay_setText("Thats right people. Thanks to myself and Spite, the Masquerade is completely out of operatible");
     Briefing_playSound("PerfectPlanAlliance1_briefing3.mp3");
  elseif(now > 24800 and state == 3) then
     state = 4;
     Overlay_setText("Romeo Bearcats.");
  elseif(now > 29000 and state == 4) then
     BriefingShip_setVisible("$Sanctuary", true);
     BriefingShip_setVisible("$player", true);
     BriefingShip_setVisible("$ferret", true);
     BriefingShip_setVisible("$wingman", true);
     state = 5;
     Overlay_setText("Our mission today is to take the Masquerade.");
     BriefingShip_setVisible("$demo1", false);
     BriefingShip_setVisible("$demo2", false);
     BriefingShip_setVisible("$demo3", false);
     Briefing_playSound("PerfectPlanAlliance1_briefing4.mp3");
     Camera_setLocationRelativeObject("$player", -50, 20, -30);
     Camera_setLookAtRelative("$player");
  elseif(now > 32000 and state == 5) then
     state = 6;
     BriefingShip_setLocationInterpNavs("$player", "$nav1", "$nav2", 5000);
     Overlay_setText("Spite, myself and the new recruit are to assault the long range reconnaissance fighters before");
     Briefing_playSound("PerfectPlanAlliance1_briefing5.mp3");
  elseif(now > 36500 and state == 6) then
     state = 7;
     Overlay_setText("they can rendezvous with their carrier.");
     BriefingShip_setVisible("$redlead", true);
     BriefingShip_setVisible("$red2", true);
     BriefingShip_setVisible("$red3", true);
     BriefingShip_setVisible("$bluelead", true);
     BriefingShip_setVisible("$blue2", true);
     BriefingShip_setVisible("$blue3", true);
  elseif(now > 38800 and state == 7) then
     state = 7.5
     BriefingShip_setLocationInterpNavs("$view", "$nav1", "$nav4", 6000);
     BriefingShip_setLocationInterpNavs("$redlead", "$nav1", "$nav3", 8000);
  elseif(now > 39500 and state == 7.5) then
     Camera_setLookAtRelative("$view");
     Camera_setLocationRelativeObject("$view", -100, 20, -30);
     BriefingShip_setVisible("$ferret", false);
     BriefingShip_setVisible("$wingman", false);
     BriefingShip_setVisible("$player", false);
     BriefingShip_setVisible("$bad3", false);
     BriefingShip_setVisible("$bad2", false);
     BriefingShip_setVisible("$bad1", false);
     state = 8;
     Overlay_setText("When the wing is wiped out, the main force will proceed to capture the Masquerade.");
     Briefing_playSound("PerfectPlanAlliance1_briefing6.mp3");
     Camera_setLookAtRelative("$Sanctuary");
  elseif(now > 46000 and state == 8) then
     Overlay_setText("End of briefing.");
     Camera_setLocationRelativeObject("$player", 0, 0, 0);
     Camera_setLookAtRelative("$player");
  end
end
