dofile "flightcommander.lua"

function Nav1Enter()
  Mission_setScriptControl(true);
  Comm_playVideo("", "WC_Generic.avi", "Super Rayzor", IFF_FRIEND, "Remember, I want those Hellcats back in one piece.");
  Comm_playVideo("", "WC_Generic.avi", "Super Rayzor", IFF_FRIEND, "Don't stuff it up.");
  Objective_setState(1, OBJECTIVE_COMPLETE)
  Objective_setState(0, OBJECTIVE_COMPLETE)
  oi = 0
  Mission_setAutopilotEnabled(true);
end

function Nav2Leave()
  Mission_setScriptControl(false);
end

function Nav2During()
  if hi == 0 then
    hey1 = Ship_getShieldsValue("$cargo", SHIPAREA_BACK)
    hey2 = Ship_getShieldsValue("$cargo", SHIPAREA_LEFT)
    hey3 = Ship_getShieldsValue("$cargo", SHIPAREA_RIGHT)
    hey4 = Ship_getShieldsValue("$cargo", SHIPAREA_FRONT)
    if (hey1 < 1) or (hey2 < 1) or (hey3 < 1) or (hey4 < 1) then
      Ship_setIff("$cargo", IFF_ENEMY);
    end
  end
  if oi == 0 then
    hey1 = Ship_getShieldsValue("$dash", SHIPAREA_BACK)
    hey2 = Ship_getShieldsValue("$dash", SHIPAREA_LEFT)
    hey3 = Ship_getShieldsValue("$dash", SHIPAREA_RIGHT)
    hey4 = Ship_getShieldsValue("$dash", SHIPAREA_FRONT)
    if (hey1 < 1) or (hey2 < 1) or (hey3 < 1) or (hey4 < 1) then
      Mission_setEnemiesAreAlive(true);
      Ship_setIff("$dash", IFF_ENEMY);
      Ship_setIff("$dark", IFF_ENEMY);
      Ship_setAIEnabled("$dash", true);
      Ship_setAIEnabled("$dark", true);
      Comm_setMenuOverride(false);
    end
    hey1 = Ship_getShieldsValue("$dark", SHIPAREA_BACK)
    hey2 = Ship_getShieldsValue("$dark", SHIPAREA_LEFT)
    hey3 = Ship_getShieldsValue("$dark", SHIPAREA_RIGHT)
    hey4 = Ship_getShieldsValue("$dark", SHIPAREA_FRONT)
    if (hey1 < 1) or (hey2 < 1) or (hey3 < 1) or (hey4 < 1) then
      Ship_setIff("$dash", IFF_ENEMY);
      Ship_setIff("$dark", IFF_ENEMY);
      Mission_setEnemiesAreAlive(true);
      Ship_setAIEnabled("$dash", true);
      Ship_setAIEnabled("$dark", true);
      Comm_setMenuOverride(false);
    end
  end
  local result = Comm_getLastChoice();
  if (result == 1) then
    Ship_setAIEnabled("$dash", true);
    Ship_setAIEnabled("$dark", true);
    Comm_playVideo("", "WC_KingdomGeneric.avi", "Dash", IFF_FRIEND, "As you wish.");
    Comm_playVideo("", "WC_KingdomGeneric.avi", "Dark Defeater", IFF_FRIEND, "Alright.");
    Mission_setAutopilotEnabled(true);
    Comm_setMenuOverride(false);
  elseif (result == 2) then
    Comm_playVideo("", "WC_KingdomGeneric.avi", "Dash", IFF_ENEMY, "Why are you in such a hurry to die?");
    Comm_playVideo("", "WC_KingdomGeneric.avi", "Dark Defeater", IFF_ENEMY, "We warned you!");
    Ship_setIff("$dash", IFF_ENEMY);
    Ship_setIff("$dark", IFF_ENEMY);
    Mission_setEnemiesAreAlive(true);
    Ship_setAIEnabled("$dash", true);
    Ship_setAIEnabled("$dark", true);
    Comm_setMenuOverride(false);
    Objective_setState(1, OBJECTIVE_FAILED)
  end
  if Mission_isPlayerTraitor() == true then
    Ship_setAIEnabled("$dash", true);
    Ship_setAIEnabled("$dark", true);
  end
end

function Fail()
  Objective_setState(0, OBJECTIVE_FAILED) 
  Mission_setAutopilotEnabled(true);
end

function Bad()
  Objective_setState(1, OBJECTIVE_FAILED)
  oi = oi + 1
  if oi == 2 then
    Mission_setAutopilotEnabled(true);
    Mission_setEnemiesAreAlive(false);
  end
end

function Nav2Enter()
  Ship_setAIEnabled("$dash", false);
  Ship_setAIEnabled("$dark", false);
  Ship_setForceEject("$soopaha", true); -- Soopaha
  Ship_setForceEject("$spite", true); -- Spite
  Comm_playVideo("", "WC_KingdomGeneric.avi", "Dash", IFF_FRIEND, "Hey now, we don't want any trouble.");
  Comm_playVideo("", "WC_Janni.avi", "Janni", IFF_FRIEND, "Let's get this over with.");
  Comm_setMenuText(1, "Form up on my wing.");
  Comm_setMenuText(2, "You Alliance dogs aren't going to get out of this one.");
  Comm_setMenuOverride(true);
  Mission_setAutopilotEnabled(false);
  Mission_setFormation(1);
end
