dofile "flightcommander.lua"

function init()
  Mission_setScriptControl(true);
  Mission_setAutopilotEnabled(true);
  badcats = false;
  badbugs = false;
  catsdead =0;
  bugsdead =0;
  playedcomplete = false;
end


function onkatdead(shipid)
 catsdead = catsdead + 1;
end

function onbugdead(shipid)
  bugsdead = bugsdead + 1;
end



function nav2create()
  Mission_setAutopilotEnabled(false);
  Mission_setEnemiesAreAlive(true);
  Comm_setMenuText(0, "An in-game menu title");
  Comm_setMenuText(1, "Attack Kilrathi");
  Comm_setMenuText(2, "Attack Aliens");
  Comm_setMenuOverride(true);
end

function nav2destroy()
  Mission_setComplete();
end

function nav2during()
  local result = Comm_getLastChoice();
  if(result == 1 ) then
    Ship_setIff("$kat1", IFF_ENEMY);
    Ship_setIff("$kat2", IFF_ENEMY);
    Ship_setIff("$kat3", IFF_ENEMY);
    Ship_setAutopilot("$alien1", true);
    Ship_setAutopilot("$alien2", true);
    Ship_setAutopilot("$alien3", true);
    Comm_setMenuOverride(false);
    Objective_setName(0, "Destroy all Kilrathi fighters");
    badcats = true;
  elseif (result == 2) then
    Ship_setIff("$alien1", IFF_ENEMY);
    Ship_setIff("$alien2", IFF_ENEMY);
    Ship_setIff("$alien3", IFF_ENEMY);
    Ship_setAutopilot("$kat1", true);
    Ship_setAutopilot("$kat2", true);
    Ship_setAutopilot("$kat3", true);
    Comm_setMenuOverride(false);
    Objective_setName(0, "Destroy all alien fighters");
    badbugs = true;
  end

  if(not playedcomplete) then
    if(badcats) then
      if(catsdead == 3) then
        Mission_setEnemiesAreAlive(false);
        Mission_setAutopilotEnabled(true);
        playedcomplete = true;
        Mission_setAccomplished();
      end
    elseif (badbugs) then
      if(bugsdead == 3) then
        Mission_setEnemiesAreAlive(false);
        Mission_setAutopilotEnabled(true);
        playedcomplete = true;
        Mission_setAccomplished();
      end
    end
  end
end


-- call init on startup
init();

